Price a physical-mail letter without creating it
curl --request POST \
--url https://api.dairo.app/v1/letters/price \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"country": "<string>",
"pageCount": 2,
"pdfBase64": "<string>",
"print": {},
"paperTypes": []
}
'import requests
url = "https://api.dairo.app/v1/letters/price"
payload = {
"country": "<string>",
"pageCount": 2,
"pdfBase64": "<string>",
"print": {},
"paperTypes": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
country: '<string>',
pageCount: 2,
pdfBase64: '<string>',
print: {},
paperTypes: []
})
};
fetch('https://api.dairo.app/v1/letters/price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "letter_price",
"currency": "<string>",
"amount": 123,
"country": "<string>",
"pageCount": 123,
"delivery": "economy",
"print": {
"mode": "color",
"sides": "simplex",
"addressPlacement": "left"
},
"breakdown": {
"providerCost": {
"currency": "<string>",
"amount": 123
},
"marginPct": 123
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}Letters
Price a physical-mail letter without creating it
Price a physical-mail letter without creating it
POST
/
v1
/
letters
/
price
Price a physical-mail letter without creating it
Authorizations
Dairo API key, e.g. dairo_test_... or dairo_live_...
Body
application/json
Provide either pageCount or pdfBase64 to price a letter.
ISO 3166-1 alpha-2 country code.
Required range:
x >= 1Show child attributes
Show child attributes
Available options:
economy, priority, registered, bulk, premium Available options:
standard, qr, sepa_at, sepa_de Response
Success